Skip to main content
GET
/
public
/
Ticker
Get Ticker Information
curl --request GET \
  --url https://api.kraken.com/0/public/Ticker
{
  "error": [],
  "result": {
    "XXBTZUSD": {
      "a": [
        "30300.10000",
        "1",
        "1.000"
      ],
      "b": [
        "30300.00000",
        "1",
        "1.000"
      ],
      "c": [
        "30303.20000",
        "0.00067643"
      ],
      "v": [
        "4083.67001100",
        "4412.73601799"
      ],
      "p": [
        "30706.77771",
        "30689.13205"
      ],
      "t": [
        34619,
        38907
      ],
      "l": [
        "29868.30000",
        "29868.30000"
      ],
      "h": [
        "31631.00000",
        "31631.00000"
      ],
      "o": "30502.80000"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pair
string

Asset pair to get data for (optional, default: all tradeable exchange pairs)

assetVersion
enum<integer>

Controls whether response keys and asset identifier fields use Kraken's internal names or display names.

  • Omitted (default): internal names are used. Asset keys use legacy X/Z-prefixed format (XXBT, ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base, quote, fee_volume_currency) also use internal names.
  • assetVersion=1: display names are used. Asset keys become their canonical display names (BTC, USD). Pair keys become the slash-separated display format (BTC/USD). On /public/AssetPairs, the base, quote, and fee_volume_currency fields also switch to display names.

Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.

Available options:
1
asset_class
enum<string>
default:forex

This parameter is required on requests for tokenized pairs, i.e. xstocks. If asset_class is provided without the pair parameter, all pairs for that asset class will be returned.

Available options:
tokenized_asset,
forex

Response

200 - application/json

Ticker info retrieved.

result
object
error
string[]

Kraken API error